Skip to main content
GET
/
universe
/
packages
List public packages
curl --request GET \
  --url https://api.getmembrane.com/universe/packages \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "key": "<string>",
      "uuid": "<string>",
      "description": "<string>",
      "meta": {},
      "state": "BUILDING",
      "errors": [
        {
          "message": "<string>",
          "type": "bad_request",
          "key": "<string>",
          "data": {},
          "stack": {},
          "causedByError": "<unknown>",
          "logs": [
            {}
          ]
        }
      ],
      "revision": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "archivedAt": "<string>",
      "isDeactivated": true,
      "isReadOnly": true,
      "integrationId": "<string>",
      "integrationUuid": "<string>",
      "integrationKey": "<string>",
      "parentId": "<string>",
      "parentUuid": "<string>",
      "parentKey": "<string>",
      "connectionId": "<string>",
      "instanceKey": "<string>",
      "isUniversal": true,
      "externalAppId": "<string>",
      "externalAppUuid": "<string>",
      "externalAppKey": "<string>",
      "scenarioTemplateId": "<string>",
      "elements": [
        {
          "id": "<string>",
          "type": "customer",
          "element": {}
        }
      ],
      "isCustomized": true,
      "isPublic": true,
      "version": "<string>",
      "changelog": "<string>",
      "parentPackageVersion": "<string>",
      "appliedToIntegrations": [
        {
          "element": {
            "id": "<string>",
            "name": "<string>",
            "key": "<string>",
            "uuid": "<string>",
            "description": "<string>",
            "meta": {},
            "state": "BUILDING",
            "errors": [
              {
                "message": "<string>",
                "type": "bad_request",
                "key": "<string>",
                "data": {},
                "stack": {},
                "causedByError": "<unknown>",
                "logs": [
                  {}
                ]
              }
            ],
            "revision": "<string>",
            "createdAt": "<string>",
            "updatedAt": "<string>",
            "archivedAt": "<string>",
            "isDeactivated": true,
            "isReadOnly": true,
            "integrationId": "<string>",
            "integrationUuid": "<string>",
            "integrationKey": "<string>",
            "parentId": "<string>",
            "parentUuid": "<string>",
            "parentKey": "<string>",
            "connectionId": "<string>",
            "instanceKey": "<string>",
            "isUniversal": true,
            "externalAppId": "<string>",
            "externalAppUuid": "<string>",
            "externalAppKey": "<string>",
            "scenarioTemplateId": "<string>",
            "elements": [
              {
                "id": "<string>",
                "type": "customer",
                "element": {}
              }
            ],
            "isCustomized": true,
            "isPublic": true
          },
          "integration": {
            "id": "<string>",
            "name": "<string>",
            "logoUri": "<string>",
            "uuid": "<string>",
            "key": "<string>",
            "description": "<string>",
            "meta": {},
            "state": "BUILDING",
            "errors": [
              {
                "message": "<string>",
                "type": "bad_request",
                "key": "<string>",
                "data": {},
                "stack": {},
                "causedByError": "<unknown>",
                "logs": [
                  {}
                ]
              }
            ],
            "revision": "<string>",
            "createdAt": "<string>",
            "updatedAt": "<string>",
            "archivedAt": "<string>",
            "isDeactivated": true,
            "isReadOnly": true,
            "connectorId": "<string>",
            "connectorVersion": "<string>",
            "oAuthCallbackUri": "<string>",
            "parameters": {},
            "hasMissingParameters": true,
            "hasDocumentation": true,
            "hasOperations": true,
            "operationsCount": 123,
            "hasData": true,
            "dataCollectionsCount": 123,
            "hasEvents": true,
            "eventsCount": 123,
            "hasGlobalWebhooks": true,
            "hasUdm": true,
            "isTest": true,
            "externalAppId": "<string>",
            "authType": "integration-app-token",
            "optionsConfig": {}
          }
        }
      ]
    }
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

Maximum number of items to return (1-1000)

Required range: 1 <= x <= 1000
cursor
string

Pagination cursor from a previous response

Response

200 - application/json
items
object[]
required
cursor
string